{ lib, ... }:

let
  domain = "htlid.giugl.io";
  network = import ./network.nix;
  auth_block = (import ./openid.nix).openresty_oidc_block;
in {
  services = {
    lidarr = {
      enable = true;
      group = "media";
    };

    nginx.virtualHosts.${domain} = {
      forceSSL = true;
      enableACME = true;
      locations."/" = {
        proxyPass = "http://localhost:8686";
        extraConfig = auth_block {
          realm = "master";
          client_id = "lidarr";
          client_secret = "7s4dd1SEi84F4fUFsqRaQmSSucZhyTco";
          redirect_uri = "https://${domain}";
        };
      };
    };
  };

  networking.extraHosts = ''
    ${network.architect-lan} ${domain}
    ${network.architect-wg} ${domain}
  '';

  users.groups.media.members = [ "lidarr" ];
}
