{ pkgs, ... }:

{
  services = {
    xserver = {
      enable = true;
      displayManager.gdm = {
        enable = true;
        wayland = false;
      };
      desktopManager.gnome.enable = true;
      libinput.enable = true;
      layout = "us";
      xkbOptions = "eurosign:e";
    };

    dbus.packages = with pkgs; [ gnome3.dconf ];
    udev.packages = with pkgs; [ gnome3.gnome-settings-daemon ];
    gvfs.enable = true;
  };

  environment.systemPackages = with pkgs; [
    gnomeExtensions.appindicator
    gnomeExtensions.sound-output-device-chooser
    pkgs.unstable.gnomeExtensions.pop-shell
  ];
  security.pam.services.gdm.enableGnomeKeyring = true;
}
